#
# spec file for package culmus
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define type1dir /usr/share/fonts/Type1
%define ttfdir   /usr/share/fonts/truetype

Name:           culmus
License:        GPLv2+
Group:          System/X11/Fonts
AutoReqProv:    on
PreReq:         %suseconfig_fonts_prereq
Provides:       locale(he)
Version:        0.120
Release:        4.5.1
Url:            http://culmus.sourceforge.net/
Source0:        %{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Free Hebrew Fonts

%description
Nine Hebrew font families. ASCII glyphs partially borrowed from the URW
and Bitstream fonts.  Those families provide a basic set of a serif
(Frank Ruehl), sans serif (Nachlieli), and monospaced (Miriam Mono)
fonts. Also included Miriam, Drugulin, Aharoni, David, Yehuda, and
Ellinia.



Authors:
--------
    Maxim Iorsh <iorsh@math.technion.ac.il>

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -m 0644 *.ttf \
        $RPM_BUILD_ROOT%ttfdir
mkdir -p $RPM_BUILD_ROOT%type1dir
install -c -m 644 *.afm *.pf? $RPM_BUILD_ROOT%type1dir
install -c -m 644 fonts.scale-type1 \
        $RPM_BUILD_ROOT%type1dir/fonts.scale.culmus

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_suseconfig_fonts

%postun
%run_suseconfig_fonts

%files 
%defattr(-, root,root)
%doc CHANGES fonts.scale-ttf culmus.conf GNU-GPL LICENSE LICENSE-BITSTREAM
%type1dir
%ttfdir

%changelog
* Thu May  5 2011 pgajdos@suse.cz
- package missed TTF fonts -- thanks to andrei.levi at gmail.com
* Mon Nov 22 2010 pgajdos@suse.cz
- updated to 0.120:
  1. Keter YG - complete family with cantillation marks support.
    Based on Aleppo codex.
  2. Left quotes added to David, Miriam, Miriam Mono.
  3. Geresh and gershayim lowered in David, Miriam, Miriam Mono.
  4. Dreydl symbol added to Caladings.
* Fri Oct 15 2010 pgajdos@suse.cz
- updated to 0.110:
  1. Hadasim CLM - complete family with diacritics supported. Inspired by
    Henri Friedlander's Hadassah font.
  2. Simple CLM - complete sans-serif family with diacritics supported.
  3. Stam Ashkenaz CLM and Stam Sefarad CLM - each in single weight, modeled
    after the respective Torah scroll writing traditions.
* Mon Aug 30 2010 pgajdos@suse.cz
- updated to 0.105:
  1. Introduced diacritics placement into Miriam Mono font, meteg supported.
  2. Supported "Hataf" diacritics with all letters in Miriam, David.
* Mon Mar 15 2010 pgajdos@suse.cz
- updated to 0.104:
  * Fixed TZVEY YUDN MIT A PASEKH in David.
  * Miriam font enhanced to support diacritics, more symbols.
* Tue Dec  8 2009 pgajdos@suse.cz
- updated to 0.103
* Wed Aug  9 2006 dmueller@suse.de
- install into /usr/share/fonts
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(he)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 mfabian@suse.de
- new package: culmus, version 0.101.
